Documentation Index Fetch the complete documentation index at: https://docs.pinkfish.ai/llms.txt
Use this file to discover all available pages before exploring further.
Server path: /talkwalker-content | Type: Application | PCID required: Yes
talkwalker_content_add_project_custom_metric
Add custom metrics
Parameters:
Parameter Type Required Default Description project_idstring Yes — Project Id bodyobject No — Request body
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"project_id" : {
"type" : "string" ,
"description" : "Project Id"
},
"body" : {
"type" : "object" ,
"description" : "Request body"
}
},
"required" : [
"PCID" ,
"project_id"
]
}
talkwalker_content_add_project_source_panel
Create a new panel
Parameters:
Parameter Type Required Default Description project_idstring Yes — Project Id bodyobject No — Request body
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"project_id" : {
"type" : "string" ,
"description" : "Project Id"
},
"body" : {
"type" : "object" ,
"description" : "Request body"
}
},
"required" : [
"PCID" ,
"project_id"
]
}
talkwalker_content_add_project_source_panel_group
Create a new group of panels
Parameters:
Parameter Type Required Default Description project_idstring Yes — Project Id bodyobject No — Request body
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"project_id" : {
"type" : "string" ,
"description" : "Project Id"
},
"body" : {
"type" : "object" ,
"description" : "Request body"
}
},
"required" : [
"PCID" ,
"project_id"
]
}
talkwalker_content_create_dataset_document
Modify a batch of reviews
Parameters:
Parameter Type Required Default Description annotatestring No — Talkwalker API recalculates set field based on the updated content. return_entrystring No — Specifies if the modified document should be returned. Allowed values: hide or show. Default value: hide proc_tokens_calcstring No — Specifies when and which tokens are generated. Allowed values: all_if_new, all_always_if_possible. default value: all_if_new proc_lang_autodetectstring No — Specifies when the language is automatically detected Allowed values: only_if_new, always_if_new_content. Fefault value: only_if_new proc_content_ellipsisstring No — Special behavior for ellipsis in string fields. Allowed values: no_special_handling, ignore_if_start_same. Default value: ignore_if_start_same proc_lang_fallbackstring No — default language code: en proc_annotate_languagestring No — Language annotation. Allowed values: annotate_if_not_set, use_default. Default e annotate_if_not_set. proc_annotate_sentimentstring No — Sentiment annotation. Allowed values: annotate_if_not_set, use_default. Default value: annotate_if_not_set. project_idstring Yes — Project Id dataset_idstring Yes — Dataset Id bodyobject No — Request body
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"annotate" : {
"type" : "string" ,
"description" : "Talkwalker API recalculates set field based on the updated content."
},
"return_entry" : {
"type" : "string" ,
"description" : "Specifies if the modified document should be returned. Allowed values: hide or show. Default value: hide"
},
"proc_tokens_calc" : {
"type" : "string" ,
"description" : "Specifies when and which tokens are generated. Allowed values: all_if_new, all_always_if_possible. default value: all_if_new"
},
"proc_lang_autodetect" : {
"type" : "string" ,
"description" : "Specifies when the language is automatically detected Allowed values: only_if_new, always_if_new_content. Fefault value: only_if_new"
},
"proc_content_ellipsis" : {
"type" : "string" ,
"description" : "Special behavior for ellipsis in string fields. Allowed values: no_special_handling, ignore_if_start_same. Default value: ignore_if_start_same"
},
"proc_lang_fallback" : {
"type" : "string" ,
"description" : "default language code: en"
},
"proc_annotate_language" : {
"type" : "string" ,
"description" : "Language annotation. Allowed values: annotate_if_not_set, use_default. Default e annotate_if_not_set."
},
"proc_annotate_sentiment" : {
"type" : "string" ,
"description" : "Sentiment annotation. Allowed values: annotate_if_not_set, use_default. Default value: annotate_if_not_set."
},
"project_id" : {
"type" : "string" ,
"description" : "Project Id"
},
"dataset_id" : {
"type" : "string" ,
"description" : "Dataset Id"
},
"body" : {
"type" : "object" ,
"description" : "Request body"
}
},
"required" : [
"PCID" ,
"project_id" ,
"dataset_id"
]
}
talkwalker_content_create_project_document
Modify a batch of documents
Parameters:
Parameter Type Required Default Description annotatestring No — Talkwalker API recalculates set field based on the updated content. return_entrystring No — Specifies if the modified document should be returned. Allowed values: hide or show. Default value: hide proc_tokens_calcstring No — Specifies when and which tokens are generated. Allowed values: all_if_new, all_always_if_possible. default value: all_if_new proc_lang_autodetectstring No — Specifies when the language is automatically detected Allowed values: only_if_new, always_if_new_content. Fefault value: only_if_new proc_content_ellipsisstring No — Special behavior for ellipsis in string fields. Allowed values: no_special_handling, ignore_if_start_same. Default value: ignore_if_start_same proc_lang_fallbackstring No — default language code: en proc_annotate_languagestring No — Language annotation. Allowed values: annotate_if_not_set, use_default. Default value: annotate_if_not_set. proc_annotate_sentimentstring No — Sentiment annotation. Allowed values: annotate_if_not_set, use_default. Default value: annotate_if_not_set. project_idstring Yes — Project Id bodyobject No — Request body
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"annotate" : {
"type" : "string" ,
"description" : "Talkwalker API recalculates set field based on the updated content."
},
"return_entry" : {
"type" : "string" ,
"description" : "Specifies if the modified document should be returned. Allowed values: hide or show. Default value: hide"
},
"proc_tokens_calc" : {
"type" : "string" ,
"description" : "Specifies when and which tokens are generated. Allowed values: all_if_new, all_always_if_possible. default value: all_if_new"
},
"proc_lang_autodetect" : {
"type" : "string" ,
"description" : "Specifies when the language is automatically detected Allowed values: only_if_new, always_if_new_content. Fefault value: only_if_new"
},
"proc_content_ellipsis" : {
"type" : "string" ,
"description" : "Special behavior for ellipsis in string fields. Allowed values: no_special_handling, ignore_if_start_same. Default value: ignore_if_start_same"
},
"proc_lang_fallback" : {
"type" : "string" ,
"description" : "default language code: en"
},
"proc_annotate_language" : {
"type" : "string" ,
"description" : "Language annotation. Allowed values: annotate_if_not_set, use_default. Default value: annotate_if_not_set."
},
"proc_annotate_sentiment" : {
"type" : "string" ,
"description" : "Sentiment annotation. Allowed values: annotate_if_not_set, use_default. Default value: annotate_if_not_set."
},
"project_id" : {
"type" : "string" ,
"description" : "Project Id"
},
"body" : {
"type" : "object" ,
"description" : "Request body"
}
},
"required" : [
"PCID" ,
"project_id"
]
}
talkwalker_content_delete_project_custom_metric
Delete custom metrics
Parameters:
Parameter Type Required Default Description project_idstring Yes — Project Id bodyobject No — Request body
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"project_id" : {
"type" : "string" ,
"description" : "Project Id"
},
"body" : {
"type" : "object" ,
"description" : "Request body"
}
},
"required" : [
"PCID" ,
"project_id"
]
}
talkwalker_content_delete_project_custom_metric_by_name
Delete specific custom metric
Parameters:
Parameter Type Required Default Description project_idstring Yes — Project Id metric_namestring Yes — Custom metric’s name
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"project_id" : {
"type" : "string" ,
"description" : "Project Id"
},
"metric_name" : {
"type" : "string" ,
"description" : "Custom metric's name"
}
},
"required" : [
"PCID" ,
"project_id" ,
"metric_name"
]
}
talkwalker_content_delete_project_topics
Delete a batch of topics
Parameters:
Parameter Type Required Default Description project_idstring Yes — Project Id bodyobject No — Request body
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"project_id" : {
"type" : "string" ,
"description" : "Project Id"
},
"body" : {
"type" : "object" ,
"description" : "Request body"
}
},
"required" : [
"PCID" ,
"project_id"
]
}
talkwalker_content_get_detect_images
Process an image by URL
Parameters:
Parameter Type Required Default Description image_urlstring Yes — URL where to download the image. detectstring No — Only for logos, List of logo IDs to detect in the image. modelstring Yes — The mode of the detection. Allowed values: logo, object or scene.
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"image_url" : {
"type" : "string" ,
"description" : "URL where to download the image."
},
"detect" : {
"type" : "string" ,
"description" : "Only for logos, List of logo IDs to detect in the image."
},
"model" : {
"type" : "string" ,
"description" : "The mode of the detection. Allowed values: logo, object or scene."
}
},
"required" : [
"PCID" ,
"image_url" ,
"model"
]
}
talkwalker_content_get_project_resources
List of resources
Parameters:
Parameter Type Required Default Description typestring No — Filter on the type of resources. Allowed values: search, filter, page, event or panel. project_idstring Yes — Project Id
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"type" : {
"type" : "string" ,
"description" : "Filter on the type of resources. Allowed values: search, filter, page, event or panel."
},
"project_id" : {
"type" : "string" ,
"description" : "Project Id"
}
},
"required" : [
"PCID" ,
"project_id"
]
}
talkwalker_content_get_project_tags
List of custom tags
Parameters:
Parameter Type Required Default Description project_idstring Yes — Project Id
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"project_id" : {
"type" : "string" ,
"description" : "Project Id"
}
},
"required" : [
"PCID" ,
"project_id"
]
}
talkwalker_content_get_project_topic
Retrieve definition of a specific topic
Parameters:
Parameter Type Required Default Description project_idstring Yes — Project Id topic_idstring Yes — topic ID or filter ID
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"project_id" : {
"type" : "string" ,
"description" : "Project Id"
},
"topic_id" : {
"type" : "string" ,
"description" : "topic ID or filter ID"
}
},
"required" : [
"PCID" ,
"project_id" ,
"topic_id"
]
}
talkwalker_content_get_project_views
List of views
Parameters:
Parameter Type Required Default Description project_idstring Yes — Project Id
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"project_id" : {
"type" : "string" ,
"description" : "Project Id"
}
},
"required" : [
"PCID" ,
"project_id"
]
}
talkwalker_content_import_project_topics
Create or update a batch of topics
Parameters:
Parameter Type Required Default Description project_idstring Yes — Project Id bodyobject No — Request body
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"project_id" : {
"type" : "string" ,
"description" : "Project Id"
},
"body" : {
"type" : "object" ,
"description" : "Request body"
}
},
"required" : [
"PCID" ,
"project_id"
]
}
talkwalker_content_list_project_custom_metrics
List of custom metrics
Parameters:
Parameter Type Required Default Description project_idstring Yes — Project Id
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"project_id" : {
"type" : "string" ,
"description" : "Project Id"
}
},
"required" : [
"PCID" ,
"project_id"
]
}
talkwalker_content_list_project_source_panels
List all panels with their members
Parameters:
Parameter Type Required Default Description project_idstring Yes — Project Id
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"project_id" : {
"type" : "string" ,
"description" : "Project Id"
}
},
"required" : [
"PCID" ,
"project_id"
]
}
talkwalker_content_list_project_topics
List topics with definitions
Parameters:
Parameter Type Required Default Description project_idstring Yes — Project Id
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"project_id" : {
"type" : "string" ,
"description" : "Project Id"
}
},
"required" : [
"PCID" ,
"project_id"
]
}
talkwalker_content_perform_dataset_document_action
Modify simple review
Parameters:
Parameter Type Required Default Description annotatestring No — Talkwalker API recalculates set field based on the updated content. return_entrystring No — Specifies if the modified document should be returned. Allowed values: hide or show. Default value: hide proc_tokens_calcstring No — Specifies when and which tokens are generated. Allowed values: all_if_new, all_always_if_possible. default value: all_if_new proc_lang_autodetectstring No — Specifies when the language is automatically detected Allowed values: only_if_new, always_if_new_content. Fefault value: only_if_new proc_content_ellipsisstring No — Special behavior for ellipsis in string fields. Allowed values: no_special_handling, ignore_if_start_same. Default value: ignore_if_start_same proc_lang_fallbackstring No — default language code: en proc_annotate_languagestring No — Language annotation. Allowed values: annotate_if_not_set, use_default. Default value: annotate_if_not_set. proc_annotate_sentimentstring No — Sentiment annotation. Allowed values: annotate_if_not_set, use_default. Default value: annotate_if_not_set. project_idstring Yes — Project Id dataset_idstring Yes — Dataset Id actionstring Yes — Operation to do on the ducument. Allowed values: create, update, upserte, delete, undelete. bodyobject No — Request body
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"annotate" : {
"type" : "string" ,
"description" : "Talkwalker API recalculates set field based on the updated content."
},
"return_entry" : {
"type" : "string" ,
"description" : "Specifies if the modified document should be returned. Allowed values: hide or show. Default value: hide"
},
"proc_tokens_calc" : {
"type" : "string" ,
"description" : "Specifies when and which tokens are generated. Allowed values: all_if_new, all_always_if_possible. default value: all_if_new"
},
"proc_lang_autodetect" : {
"type" : "string" ,
"description" : "Specifies when the language is automatically detected Allowed values: only_if_new, always_if_new_content. Fefault value: only_if_new"
},
"proc_content_ellipsis" : {
"type" : "string" ,
"description" : "Special behavior for ellipsis in string fields. Allowed values: no_special_handling, ignore_if_start_same. Default value: ignore_if_start_same"
},
"proc_lang_fallback" : {
"type" : "string" ,
"description" : "default language code: en"
},
"proc_annotate_language" : {
"type" : "string" ,
"description" : "Language annotation. Allowed values: annotate_if_not_set, use_default. Default value: annotate_if_not_set."
},
"proc_annotate_sentiment" : {
"type" : "string" ,
"description" : "Sentiment annotation. Allowed values: annotate_if_not_set, use_default. Default value: annotate_if_not_set."
},
"project_id" : {
"type" : "string" ,
"description" : "Project Id"
},
"dataset_id" : {
"type" : "string" ,
"description" : "Dataset Id"
},
"action" : {
"type" : "string" ,
"description" : "Operation to do on the ducument. Allowed values: create, update, upserte, delete, undelete."
},
"body" : {
"type" : "object" ,
"description" : "Request body"
}
},
"required" : [
"PCID" ,
"project_id" ,
"dataset_id" ,
"action"
]
}
talkwalker_content_perform_project_document_action
Modify simple document
Parameters:
Parameter Type Required Default Description annotatestring No — Talkwalker API recalculates set field based on the updated content. return_entrystring No — Specifies if the modified document should be returned. Allowed values: hide or show. Default value: hide proc_tokens_calcstring No — Specifies when and which tokens are generated. Allowed values: all_if_new, all_always_if_possible. default value: all_if_new proc_lang_autodetectstring No — Specifies when the language is automatically detected Allowed values: only_if_new, always_if_new_content. Fefault value: only_if_new proc_content_ellipsisstring No — Special behavior for ellipsis in string fields. Allowed values: no_special_handling, ignore_if_start_same. Default value: ignore_if_start_same proc_lang_fallbackstring No — default language code: en proc_annotate_languagestring No — Language annotation. Allowed values: annotate_if_not_set, use_default. Default value: annotate_if_not_set. proc_annotate_sentimentstring No — Sentiment annotation. Allowed values: annotate_if_not_set, use_default. Default value: annotate_if_not_set. project_idstring Yes — Project Id actionstring Yes — Operation to do on the ducument. Allowed values: create, update, upserte, delete, undelete. bodyobject No — Request body
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"annotate" : {
"type" : "string" ,
"description" : "Talkwalker API recalculates set field based on the updated content."
},
"return_entry" : {
"type" : "string" ,
"description" : "Specifies if the modified document should be returned. Allowed values: hide or show. Default value: hide"
},
"proc_tokens_calc" : {
"type" : "string" ,
"description" : "Specifies when and which tokens are generated. Allowed values: all_if_new, all_always_if_possible. default value: all_if_new"
},
"proc_lang_autodetect" : {
"type" : "string" ,
"description" : "Specifies when the language is automatically detected Allowed values: only_if_new, always_if_new_content. Fefault value: only_if_new"
},
"proc_content_ellipsis" : {
"type" : "string" ,
"description" : "Special behavior for ellipsis in string fields. Allowed values: no_special_handling, ignore_if_start_same. Default value: ignore_if_start_same"
},
"proc_lang_fallback" : {
"type" : "string" ,
"description" : "default language code: en"
},
"proc_annotate_language" : {
"type" : "string" ,
"description" : "Language annotation. Allowed values: annotate_if_not_set, use_default. Default value: annotate_if_not_set."
},
"proc_annotate_sentiment" : {
"type" : "string" ,
"description" : "Sentiment annotation. Allowed values: annotate_if_not_set, use_default. Default value: annotate_if_not_set."
},
"project_id" : {
"type" : "string" ,
"description" : "Project Id"
},
"action" : {
"type" : "string" ,
"description" : "Operation to do on the ducument. Allowed values: create, update, upserte, delete, undelete."
},
"body" : {
"type" : "object" ,
"description" : "Request body"
}
},
"required" : [
"PCID" ,
"project_id" ,
"action"
]
}
talkwalker_content_post_detect_images
Process an image by file
Parameters:
Parameter Type Required Default Description modelstring Yes — The mode of the detection. Allowed values: logo, object or scene. image_filestring No — Filename of the image to be past as multipart/form-data.
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"model" : {
"type" : "string" ,
"description" : "The mode of the detection. Allowed values: logo, object or scene."
},
"image_file" : {
"type" : "string" ,
"description" : "Filename of the image to be past as multipart/form-data."
}
},
"required" : [
"PCID" ,
"model"
]
}
talkwalker_content_update_project_custom_metric
Update custom metrics
Parameters:
Parameter Type Required Default Description project_idstring Yes — Project Id bodyobject No — Request body
{
"type" : "object" ,
"properties" : {
"PCID" : {
"type" : "string" ,
"description" : "Pink Connect ID for the authenticated connection"
},
"project_id" : {
"type" : "string" ,
"description" : "Project Id"
},
"body" : {
"type" : "object" ,
"description" : "Request body"
}
},
"required" : [
"PCID" ,
"project_id"
]
}